src/gui/cs_gui_util.c File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
cs_gui_util.c File Reference
`#include "cs_defs.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <math.h>`
`#include <string.h>`
`#include <stdarg.h>`
`#include <fcntl.h>`
`#include <unistd.h>`
`#include <assert.h>`
`#include "bft_mem.h"`
`#include "bft_error.h"`
`#include "bft_printf.h"`
`#include "cs_base.h"`
`#include "cs_gui_util.h"`
Include dependency graph for cs_gui_util.c:

## Macros
#define | XML_READER_VERSION 2.0

## Functions
void | csihmp (int *const iihmpr)
int | cs_gui_file_is_loaded (void)
int | cs_gui_load_file (const char *filename)
void | cs_gui_check_version (void)
char * | cs_xpath_init_path (void)
char * | cs_xpath_short_path (void)
void | cs_xpath_add_all_elements (char **path)
void | cs_xpath_add_element (char **path, const char *element)
void | cs_xpath_add_elements (char **path, int nbr,...)
void | cs_xpath_add_attribute (char **path, const char *attribute_name)
void | cs_xpath_add_element_num (char **path, const char *element, int num)
void | cs_xpath_add_test_attribute (char **path, const char *attribute_type, const char *attribute_value)
void | cs_xpath_add_function_text (char **path)
char ** | cs_gui_get_attribute_values (char *path, int *size)
char * | cs_gui_get_attribute_value (char *path)
char ** | cs_gui_get_nodes_name (char *path, int *size)
char * | cs_gui_get_node_name (char *path)
char ** | cs_gui_get_text_values (char *path, int *size)
char * | cs_gui_get_text_value (char *path)
int | cs_gui_get_double (char *path, double *value)
int | cs_gui_get_int (char *path, int *value)
int | cs_gui_get_nb_element (char *path)
int | cs_gui_get_max_value (char *path)
int | cs_gui_get_status (char *path, int *result)
int | cs_gui_get_tag_number (const char *markup, int flag)
int | cs_gui_characters_number (int num)
int | cs_gui_strcmp (const char *s1, const char *s2)
void | cs_gui_strcpy_c2f (char *chainef, const char *chainec, const int lstrF)
int | cs_gui_is_equal_real (cs_real_t v1, cs_real_t v2)
void | cs_gui_add_mei_time (double t)
double | cs_gui_get_mei_times (void)

## Variables
double | _cs_gui_mei_time = 0.

## Macro Definition Documentation

#define XML_READER_VERSION 2.0

## Function Documentation

void cs_gui_add_mei_time | ( | double | t | ) |

int cs_gui_characters_number | ( | int | num | ) |

void cs_gui_check_version | ( | void |  | ) |

int cs_gui_file_is_loaded | ( | void |  | ) |

char* cs_gui_get_attribute_value | ( | char * | path | ) |

char** cs_gui_get_attribute_values | ( | char * | path,
|  | int * | size
| ) |  |

int cs_gui_get_double | ( | char * | path,
|  | double * | value
| ) |  |

int cs_gui_get_int | ( | char * | path,
|  | int * | value
| ) |  |

int cs_gui_get_max_value | ( | char * | path | ) |

double cs_gui_get_mei_times | ( | void |  | ) |

int cs_gui_get_nb_element | ( | char * | path | ) |

char* cs_gui_get_node_name | ( | char * | path | ) |

char** cs_gui_get_nodes_name | ( | char * | path,
|  | int * | size
| ) |  |

int cs_gui_get_status | ( | char * | path,
|  | int * | result
| ) |  |

int cs_gui_get_tag_number | ( | const char * | markup,
|  | int | flag
| ) |  |

char* cs_gui_get_text_value | ( | char * | path | ) |

char** cs_gui_get_text_values | ( | char * | path,
|  | int * | size
| ) |  |

int cs_gui_is_equal_real | ( | cs_real_t | v1,
|  | cs_real_t | v2
| ) |  |

int cs_gui_load_file | ( | const char * | filename | ) |

int cs_gui_strcmp | ( | const char * | s1,
|  | const char * | s2
| ) |  |

void cs_gui_strcpy_c2f | ( | char * | chainef,
|  | const char * | chainec,
|  | const int | lstrF
| ) |  |

void cs_xpath_add_all_elements | ( | char ** | path | ) |

void cs_xpath_add_attribute | ( | char ** | path,
|  | const char * | attribute_name
| ) |  |

void cs_xpath_add_element | ( | char ** | path,
|  | const char * | element
| ) |  |

void cs_xpath_add_element_num | ( | char ** | path,
|  | const char * | element,
|  | int | num
| ) |  |

void cs_xpath_add_elements | ( | char ** | path,
|  | int | nbr,
|  |  | ...
| ) |  |

void cs_xpath_add_function_text | ( | char ** | path | ) |

void cs_xpath_add_test_attribute | ( | char ** | path,
|  | const char * | attribute_type,
|  | const char * | attribute_value
| ) |  |

char* cs_xpath_init_path | ( | void |  | ) |

char* cs_xpath_short_path | ( | void |  | ) |

void csihmp | ( | int *const | iihmpr | ) |

## Variable Documentation

double _cs_gui_mei_time = 0.